Subject: Re: [PATCH] bash prompt: add option to disable for a repository

From: Johannes Sixt <[email-masked]>
Date: Tue, 26 Nov 2013 08:01:30 +0100

Am 11/26/2013 0:43, schrieb Jonathan Nieder:
> Heikki Hokkanen wrote:
> 
>> If running git config on each prompt seems too expensive, do you have
>> any better ideas?
> 
> Perhaps a GIT_PS1_NOT_FOR_THESE_REPOS=repo1:repo2:repo3 setting would
> work.

Yeah, but... I find the wish to show the bash prompt in some, but not all,
repositories so uncommon that I doubt that it must be a feature of
__git_ps1. There can be a wrapper function that does the repository
discovery and calls into __git_ps1 as needed. No current __git_ps1 users
need to be burdened.

-- Hannes